"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ParseError = void 0;
/**
 * Error thrown when a parsing error occurs. The cause of the error is included in the message, if possible.
 */
class ParseError extends Error {
    constructor(message, cause) {
        const errorMessage = cause
            ? `${message}. This error was caused by: ${cause.message}.`
            : message;
        super(errorMessage);
        this.cause = cause;
        this.name = 'ParseError';
    }
}
exports.ParseError = ParseError;
