import { z } from 'zod';
declare const AlbSchema: z.ZodObject<{
    httpMethod: z.ZodString;
    path: z.ZodString;
    body: z.ZodString;
    isBase64Encoded: z.ZodBoolean;
    headers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    queryStringParameters: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    requestContext: z.ZodObject<{
        elb: z.ZodObject<{
            targetGroupArn: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            targetGroupArn: string;
        }, {
            targetGroupArn: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        elb: {
            targetGroupArn: string;
        };
    }, {
        elb: {
            targetGroupArn: string;
        };
    }>;
}, "strip", z.ZodTypeAny, {
    path: string;
    httpMethod: string;
    requestContext: {
        elb: {
            targetGroupArn: string;
        };
    };
    isBase64Encoded: boolean;
    body: string;
    headers?: Record<string, string> | undefined;
    queryStringParameters?: Record<string, string> | undefined;
}, {
    path: string;
    httpMethod: string;
    requestContext: {
        elb: {
            targetGroupArn: string;
        };
    };
    isBase64Encoded: boolean;
    body: string;
    headers?: Record<string, string> | undefined;
    queryStringParameters?: Record<string, string> | undefined;
}>;
declare const AlbMultiValueHeadersSchema: z.ZodObject<{
    path: z.ZodString;
    httpMethod: z.ZodString;
    headers: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    queryStringParameters: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodString>>;
    requestContext: z.ZodObject<{
        elb: z.ZodObject<{
            targetGroupArn: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            targetGroupArn: string;
        }, {
            targetGroupArn: string;
        }>;
    }, "strip", z.ZodTypeAny, {
        elb: {
            targetGroupArn: string;
        };
    }, {
        elb: {
            targetGroupArn: string;
        };
    }>;
    isBase64Encoded: z.ZodBoolean;
    body: z.ZodString;
    multiValueHeaders: z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>;
    multiValueQueryStringParameters: z.ZodRecord<z.ZodString, z.ZodArray<z.ZodString, "many">>;
}, "strip", z.ZodTypeAny, {
    path: string;
    httpMethod: string;
    multiValueHeaders: Record<string, string[]>;
    multiValueQueryStringParameters: Record<string, string[]>;
    requestContext: {
        elb: {
            targetGroupArn: string;
        };
    };
    isBase64Encoded: boolean;
    body: string;
    headers?: Record<string, string> | undefined;
    queryStringParameters?: Record<string, string> | undefined;
}, {
    path: string;
    httpMethod: string;
    multiValueHeaders: Record<string, string[]>;
    multiValueQueryStringParameters: Record<string, string[]>;
    requestContext: {
        elb: {
            targetGroupArn: string;
        };
    };
    isBase64Encoded: boolean;
    body: string;
    headers?: Record<string, string> | undefined;
    queryStringParameters?: Record<string, string> | undefined;
}>;
export { AlbSchema, AlbMultiValueHeadersSchema };
//# sourceMappingURL=alb.d.ts.map