"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlbMultiValueHeadersSchema = exports.AlbSchema = void 0;
const zod_1 = require("zod");
const AlbSchema = zod_1.z.object({
    httpMethod: zod_1.z.string(),
    path: zod_1.z.string(),
    body: zod_1.z.string(),
    isBase64Encoded: zod_1.z.boolean(),
    headers: zod_1.z.record(zod_1.z.string(), zod_1.z.string()).optional(),
    queryStringParameters: zod_1.z.record(zod_1.z.string(), zod_1.z.string()).optional(),
    requestContext: zod_1.z.object({
        elb: zod_1.z.object({
            targetGroupArn: zod_1.z.string(),
        }),
    }),
});
exports.AlbSchema = AlbSchema;
const AlbMultiValueHeadersSchema = AlbSchema.extend({
    multiValueHeaders: zod_1.z.record(zod_1.z.string(), zod_1.z.array(zod_1.z.string())),
    multiValueQueryStringParameters: zod_1.z.record(zod_1.z.string(), zod_1.z.array(zod_1.z.string())),
});
exports.AlbMultiValueHeadersSchema = AlbMultiValueHeadersSchema;
