import { z } from 'zod';
declare const KafkaRecordSchema: z.ZodObject<{
    topic: z.ZodString;
    partition: z.ZodNumber;
    offset: z.ZodNumber;
    timestamp: z.ZodNumber;
    timestampType: z.ZodString;
    key: z.ZodEffects<z.ZodString, string, string>;
    value: z.ZodEffects<z.ZodString, string, string>;
    headers: z.ZodArray<z.ZodRecord<z.ZodString, z.ZodEffects<z.ZodArray<z.ZodNumber, "many">, string, number[]>>, "many">;
}, "strip", z.ZodTypeAny, {
    value: string;
    headers: Record<string, string>[];
    timestamp: number;
    topic: string;
    partition: number;
    offset: number;
    timestampType: string;
    key: string;
}, {
    value: string;
    headers: Record<string, number[]>[];
    timestamp: number;
    topic: string;
    partition: number;
    offset: number;
    timestampType: string;
    key: string;
}>;
declare const KafkaSelfManagedEventSchema: z.ZodObject<{
    bootstrapServers: z.ZodOptional<z.ZodNullable<z.ZodEffects<z.ZodString, string[] | undefined, string>>>;
    records: z.ZodRecord<z.ZodString, z.ZodArray<z.ZodObject<{
        topic: z.ZodString;
        partition: z.ZodNumber;
        offset: z.ZodNumber;
        timestamp: z.ZodNumber;
        timestampType: z.ZodString;
        key: z.ZodEffects<z.ZodString, string, string>;
        value: z.ZodEffects<z.ZodString, string, string>;
        headers: z.ZodArray<z.ZodRecord<z.ZodString, z.ZodEffects<z.ZodArray<z.ZodNumber, "many">, string, number[]>>, "many">;
    }, "strip", z.ZodTypeAny, {
        value: string;
        headers: Record<string, string>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }, {
        value: string;
        headers: Record<string, number[]>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }>, "many">>;
    eventSource: z.ZodLiteral<"aws:SelfManagedKafka">;
}, "strip", z.ZodTypeAny, {
    eventSource: "aws:SelfManagedKafka";
    records: Record<string, {
        value: string;
        headers: Record<string, string>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }[]>;
    bootstrapServers?: string[] | null | undefined;
}, {
    eventSource: "aws:SelfManagedKafka";
    records: Record<string, {
        value: string;
        headers: Record<string, number[]>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }[]>;
    bootstrapServers?: string | null | undefined;
}>;
declare const KafkaMskEventSchema: z.ZodObject<{
    bootstrapServers: z.ZodOptional<z.ZodNullable<z.ZodEffects<z.ZodString, string[] | undefined, string>>>;
    records: z.ZodRecord<z.ZodString, z.ZodArray<z.ZodObject<{
        topic: z.ZodString;
        partition: z.ZodNumber;
        offset: z.ZodNumber;
        timestamp: z.ZodNumber;
        timestampType: z.ZodString;
        key: z.ZodEffects<z.ZodString, string, string>;
        value: z.ZodEffects<z.ZodString, string, string>;
        headers: z.ZodArray<z.ZodRecord<z.ZodString, z.ZodEffects<z.ZodArray<z.ZodNumber, "many">, string, number[]>>, "many">;
    }, "strip", z.ZodTypeAny, {
        value: string;
        headers: Record<string, string>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }, {
        value: string;
        headers: Record<string, number[]>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }>, "many">>;
    eventSource: z.ZodLiteral<"aws:kafka">;
    eventSourceArn: z.ZodString;
}, "strip", z.ZodTypeAny, {
    eventSource: "aws:kafka";
    records: Record<string, {
        value: string;
        headers: Record<string, string>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }[]>;
    eventSourceArn: string;
    bootstrapServers?: string[] | null | undefined;
}, {
    eventSource: "aws:kafka";
    records: Record<string, {
        value: string;
        headers: Record<string, number[]>[];
        timestamp: number;
        topic: string;
        partition: number;
        offset: number;
        timestampType: string;
        key: string;
    }[]>;
    eventSourceArn: string;
    bootstrapServers?: string | null | undefined;
}>;
export { KafkaSelfManagedEventSchema, KafkaMskEventSchema, KafkaRecordSchema };
//# sourceMappingURL=kafka.d.ts.map