import { z } from 'zod';
declare const SnsMsgAttribute: z.ZodObject<{
    Type: z.ZodString;
    Value: z.ZodString;
}, "strip", z.ZodTypeAny, {
    Type: string;
    Value: string;
}, {
    Type: string;
    Value: string;
}>;
declare const SnsNotificationSchema: z.ZodObject<{
    Subject: z.ZodOptional<z.ZodString>;
    TopicArn: z.ZodString;
    UnsubscribeUrl: z.ZodString;
    UnsubscribeURL: z.ZodOptional<z.ZodString>;
    SigningCertUrl: z.ZodOptional<z.ZodString>;
    SigningCertURL: z.ZodOptional<z.ZodString>;
    Type: z.ZodLiteral<"Notification">;
    MessageAttributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
        Type: z.ZodString;
        Value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Type: string;
        Value: string;
    }, {
        Type: string;
        Value: string;
    }>>>;
    Message: z.ZodString;
    MessageId: z.ZodString;
    Signature: z.ZodOptional<z.ZodString>;
    SignatureVersion: z.ZodOptional<z.ZodString>;
    Timestamp: z.ZodString;
}, "strip", z.ZodTypeAny, {
    Type: "Notification";
    TopicArn: string;
    UnsubscribeUrl: string;
    Message: string;
    MessageId: string;
    Timestamp: string;
    Subject?: string | undefined;
    UnsubscribeURL?: string | undefined;
    SigningCertUrl?: string | undefined;
    SigningCertURL?: string | undefined;
    MessageAttributes?: Record<string, {
        Type: string;
        Value: string;
    }> | undefined;
    Signature?: string | undefined;
    SignatureVersion?: string | undefined;
}, {
    Type: "Notification";
    TopicArn: string;
    UnsubscribeUrl: string;
    Message: string;
    MessageId: string;
    Timestamp: string;
    Subject?: string | undefined;
    UnsubscribeURL?: string | undefined;
    SigningCertUrl?: string | undefined;
    SigningCertURL?: string | undefined;
    MessageAttributes?: Record<string, {
        Type: string;
        Value: string;
    }> | undefined;
    Signature?: string | undefined;
    SignatureVersion?: string | undefined;
}>;
declare const SnsSqsNotificationSchema: z.ZodObject<Omit<{
    Type: z.ZodLiteral<"Notification">;
    Subject: z.ZodOptional<z.ZodString>;
    TopicArn: z.ZodString;
    UnsubscribeUrl: z.ZodString;
    SigningCertUrl: z.ZodOptional<z.ZodString>;
    MessageAttributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
        Type: z.ZodString;
        Value: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Type: string;
        Value: string;
    }, {
        Type: string;
        Value: string;
    }>>>;
    Message: z.ZodString;
    MessageId: z.ZodString;
    Signature: z.ZodOptional<z.ZodString>;
    SignatureVersion: z.ZodOptional<z.ZodString>;
    Timestamp: z.ZodString;
    UnsubscribeURL: z.ZodOptional<z.ZodString>;
    SigningCertURL: z.ZodOptional<z.ZodString>;
}, "UnsubscribeUrl" | "SigningCertUrl">, "strip", z.ZodTypeAny, {
    Type: "Notification";
    TopicArn: string;
    Message: string;
    MessageId: string;
    Timestamp: string;
    Subject?: string | undefined;
    UnsubscribeURL?: string | undefined;
    SigningCertURL?: string | undefined;
    MessageAttributes?: Record<string, {
        Type: string;
        Value: string;
    }> | undefined;
    Signature?: string | undefined;
    SignatureVersion?: string | undefined;
}, {
    Type: "Notification";
    TopicArn: string;
    Message: string;
    MessageId: string;
    Timestamp: string;
    Subject?: string | undefined;
    UnsubscribeURL?: string | undefined;
    SigningCertURL?: string | undefined;
    MessageAttributes?: Record<string, {
        Type: string;
        Value: string;
    }> | undefined;
    Signature?: string | undefined;
    SignatureVersion?: string | undefined;
}>;
declare const SnsRecordSchema: z.ZodObject<{
    EventSource: z.ZodLiteral<"aws:sns">;
    EventVersion: z.ZodString;
    EventSubscriptionArn: z.ZodString;
    Sns: z.ZodObject<{
        Subject: z.ZodOptional<z.ZodString>;
        TopicArn: z.ZodString;
        UnsubscribeUrl: z.ZodString;
        UnsubscribeURL: z.ZodOptional<z.ZodString>;
        SigningCertUrl: z.ZodOptional<z.ZodString>;
        SigningCertURL: z.ZodOptional<z.ZodString>;
        Type: z.ZodLiteral<"Notification">;
        MessageAttributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
            Type: z.ZodString;
            Value: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            Type: string;
            Value: string;
        }, {
            Type: string;
            Value: string;
        }>>>;
        Message: z.ZodString;
        MessageId: z.ZodString;
        Signature: z.ZodOptional<z.ZodString>;
        SignatureVersion: z.ZodOptional<z.ZodString>;
        Timestamp: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        Type: "Notification";
        TopicArn: string;
        UnsubscribeUrl: string;
        Message: string;
        MessageId: string;
        Timestamp: string;
        Subject?: string | undefined;
        UnsubscribeURL?: string | undefined;
        SigningCertUrl?: string | undefined;
        SigningCertURL?: string | undefined;
        MessageAttributes?: Record<string, {
            Type: string;
            Value: string;
        }> | undefined;
        Signature?: string | undefined;
        SignatureVersion?: string | undefined;
    }, {
        Type: "Notification";
        TopicArn: string;
        UnsubscribeUrl: string;
        Message: string;
        MessageId: string;
        Timestamp: string;
        Subject?: string | undefined;
        UnsubscribeURL?: string | undefined;
        SigningCertUrl?: string | undefined;
        SigningCertURL?: string | undefined;
        MessageAttributes?: Record<string, {
            Type: string;
            Value: string;
        }> | undefined;
        Signature?: string | undefined;
        SignatureVersion?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    EventSource: "aws:sns";
    EventVersion: string;
    EventSubscriptionArn: string;
    Sns: {
        Type: "Notification";
        TopicArn: string;
        UnsubscribeUrl: string;
        Message: string;
        MessageId: string;
        Timestamp: string;
        Subject?: string | undefined;
        UnsubscribeURL?: string | undefined;
        SigningCertUrl?: string | undefined;
        SigningCertURL?: string | undefined;
        MessageAttributes?: Record<string, {
            Type: string;
            Value: string;
        }> | undefined;
        Signature?: string | undefined;
        SignatureVersion?: string | undefined;
    };
}, {
    EventSource: "aws:sns";
    EventVersion: string;
    EventSubscriptionArn: string;
    Sns: {
        Type: "Notification";
        TopicArn: string;
        UnsubscribeUrl: string;
        Message: string;
        MessageId: string;
        Timestamp: string;
        Subject?: string | undefined;
        UnsubscribeURL?: string | undefined;
        SigningCertUrl?: string | undefined;
        SigningCertURL?: string | undefined;
        MessageAttributes?: Record<string, {
            Type: string;
            Value: string;
        }> | undefined;
        Signature?: string | undefined;
        SignatureVersion?: string | undefined;
    };
}>;
declare const SnsSchema: z.ZodObject<{
    Records: z.ZodArray<z.ZodObject<{
        EventSource: z.ZodLiteral<"aws:sns">;
        EventVersion: z.ZodString;
        EventSubscriptionArn: z.ZodString;
        Sns: z.ZodObject<{
            Subject: z.ZodOptional<z.ZodString>;
            TopicArn: z.ZodString;
            UnsubscribeUrl: z.ZodString;
            UnsubscribeURL: z.ZodOptional<z.ZodString>;
            SigningCertUrl: z.ZodOptional<z.ZodString>;
            SigningCertURL: z.ZodOptional<z.ZodString>;
            Type: z.ZodLiteral<"Notification">;
            MessageAttributes: z.ZodOptional<z.ZodRecord<z.ZodString, z.ZodObject<{
                Type: z.ZodString;
                Value: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                Type: string;
                Value: string;
            }, {
                Type: string;
                Value: string;
            }>>>;
            Message: z.ZodString;
            MessageId: z.ZodString;
            Signature: z.ZodOptional<z.ZodString>;
            SignatureVersion: z.ZodOptional<z.ZodString>;
            Timestamp: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            Type: "Notification";
            TopicArn: string;
            UnsubscribeUrl: string;
            Message: string;
            MessageId: string;
            Timestamp: string;
            Subject?: string | undefined;
            UnsubscribeURL?: string | undefined;
            SigningCertUrl?: string | undefined;
            SigningCertURL?: string | undefined;
            MessageAttributes?: Record<string, {
                Type: string;
                Value: string;
            }> | undefined;
            Signature?: string | undefined;
            SignatureVersion?: string | undefined;
        }, {
            Type: "Notification";
            TopicArn: string;
            UnsubscribeUrl: string;
            Message: string;
            MessageId: string;
            Timestamp: string;
            Subject?: string | undefined;
            UnsubscribeURL?: string | undefined;
            SigningCertUrl?: string | undefined;
            SigningCertURL?: string | undefined;
            MessageAttributes?: Record<string, {
                Type: string;
                Value: string;
            }> | undefined;
            Signature?: string | undefined;
            SignatureVersion?: string | undefined;
        }>;
    }, "strip", z.ZodTypeAny, {
        EventSource: "aws:sns";
        EventVersion: string;
        EventSubscriptionArn: string;
        Sns: {
            Type: "Notification";
            TopicArn: string;
            UnsubscribeUrl: string;
            Message: string;
            MessageId: string;
            Timestamp: string;
            Subject?: string | undefined;
            UnsubscribeURL?: string | undefined;
            SigningCertUrl?: string | undefined;
            SigningCertURL?: string | undefined;
            MessageAttributes?: Record<string, {
                Type: string;
                Value: string;
            }> | undefined;
            Signature?: string | undefined;
            SignatureVersion?: string | undefined;
        };
    }, {
        EventSource: "aws:sns";
        EventVersion: string;
        EventSubscriptionArn: string;
        Sns: {
            Type: "Notification";
            TopicArn: string;
            UnsubscribeUrl: string;
            Message: string;
            MessageId: string;
            Timestamp: string;
            Subject?: string | undefined;
            UnsubscribeURL?: string | undefined;
            SigningCertUrl?: string | undefined;
            SigningCertURL?: string | undefined;
            MessageAttributes?: Record<string, {
                Type: string;
                Value: string;
            }> | undefined;
            Signature?: string | undefined;
            SignatureVersion?: string | undefined;
        };
    }>, "many">;
}, "strip", z.ZodTypeAny, {
    Records: {
        EventSource: "aws:sns";
        EventVersion: string;
        EventSubscriptionArn: string;
        Sns: {
            Type: "Notification";
            TopicArn: string;
            UnsubscribeUrl: string;
            Message: string;
            MessageId: string;
            Timestamp: string;
            Subject?: string | undefined;
            UnsubscribeURL?: string | undefined;
            SigningCertUrl?: string | undefined;
            SigningCertURL?: string | undefined;
            MessageAttributes?: Record<string, {
                Type: string;
                Value: string;
            }> | undefined;
            Signature?: string | undefined;
            SignatureVersion?: string | undefined;
        };
    }[];
}, {
    Records: {
        EventSource: "aws:sns";
        EventVersion: string;
        EventSubscriptionArn: string;
        Sns: {
            Type: "Notification";
            TopicArn: string;
            UnsubscribeUrl: string;
            Message: string;
            MessageId: string;
            Timestamp: string;
            Subject?: string | undefined;
            UnsubscribeURL?: string | undefined;
            SigningCertUrl?: string | undefined;
            SigningCertURL?: string | undefined;
            MessageAttributes?: Record<string, {
                Type: string;
                Value: string;
            }> | undefined;
            Signature?: string | undefined;
            SignatureVersion?: string | undefined;
        };
    }[];
}>;
export { SnsSchema, SnsRecordSchema, SnsNotificationSchema, SnsMsgAttribute, SnsSqsNotificationSchema, };
//# sourceMappingURL=sns.d.ts.map